package com.kingfore.utils;

/***********************************************************************
 * Module:  output.java
 * Author:  wjt
 * Purpose: Defines the Class output
 ***********************************************************************/


/** @pdOid 56905e7e-83a8-4191-804e-18365d0876ac */
public class output {
   /** @pdOid 5811a05c-1a73-4fc4-8add-22313beb8ae8 */
   private boolean success = true;
   /** @pdOid 2d99e77f-d34f-4383-9099-5141aa658982 */
   private boolean methodSuccess = true;
   /** @pdOid 970a7a72-3328-4847-aa38-540014ca4d93 */
   private boolean routeSuccess = true;
   /** @pdOid cfae1f67-9acb-44da-8ecc-f06f01e82a06 */
   private Object data = null;
   /** @pdOid 5975bab8-be8c-4394-b2af-2792cd6c1f46 */
   private String msg = null;
   public output() {
	   
   }
   public output(Object data, String msg) {
	   this.data=data;
	   this.msg=msg;
   }
   
   public output routeError(Object data,String msg) {
	   this.success=false;
	   this.routeSuccess=false;
	   this.methodSuccess=false;
	   this.data=data;
	   this.msg=msg;
	   return this;
   }
   public output methodError(Object data,String msg) {
	   this.success=false;
	   this.routeSuccess=true;
	   this.methodSuccess=false;
	   this.data=data;
	   this.msg=msg;
	   return this;
   }
   public output tokenError(String msg) {
	   this.success=false;
	   this.routeSuccess=false;
	   this.methodSuccess=false;
	   this.data=null;
	   this.msg=msg;
	   return this;
   }
   
   /** @pdOid ff3bf773-0ad2-4273-8d78-465fab76610a */
   public boolean getSuccess() {
      return success;
   }
   
   /** @param newSuccess
    * @pdOid 8b48930c-651a-42ba-a3c2-7e1690d3801c */
   public void setSuccess(boolean newSuccess) {
      success = newSuccess;
   }
   
   /** @pdOid e2d1ce49-9e60-4d36-9ff5-c40a114afb78 */
   public boolean getMethodSuccess() {
      return methodSuccess;
   }
   
   /** @param newMethodSuccess
    * @pdOid 5b1791ba-aacb-4a2e-9b45-741db9c07f10 */
   public void setMethodSuccess(boolean newMethodSuccess) {
      methodSuccess = newMethodSuccess;
   }
   
   /** @pdOid 8c3785ec-412e-4a8d-9f21-cbe40193c3c9 */
   public boolean getRouteSuccess() {
      return routeSuccess;
   }
   
   /** @param newRouteSuccess
    * @pdOid a40d5e2a-cd5f-4ac9-b77a-3e8666699cd5 */
   public void setRouteSuccess(boolean newRouteSuccess) {
      routeSuccess = newRouteSuccess;
   }
   
   /** @pdOid 185229c5-94af-43ea-bf6d-9ed597bb6182 */
   public Object getData() {
      return data;
   }
   
   /** @param newData
    * @pdOid 005dec86-ef77-4b72-a845-0f3e31944fce */
   public void setData(Object newData) {
      data = newData;
   }
   
   /** @pdOid d801893c-ae8f-4c49-9f8e-780226c5314a */
   public String getMsg() {
      return msg;
   }
   
   /** @param newMsg
    * @pdOid 138bed16-27a0-46e7-a627-93b317f63c5c */
   public void setMsg(String newMsg) {
      msg = newMsg;
   }

}
